Bug 292571 - RFE: write anaconda-cfg.ks kickstart file to /root as soon as possible
RFE: write anaconda-cfg.ks kickstart file to /root as soon as possible
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-09-16 15:14 EDT by John Reiser
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-09-18 15:52:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John Reiser 2007-09-16 15:14:13 EDT
Description of problem: The generated file /root/anaconda-cfg.ks which results
from a non-kickstart installation is not written as soon as possible.  The file
should be written as soon as the root filesystem has been formatted, and
certainly no later than the install.log* files are created.  There should even
be a way for the advanced user to inspect and modify the prospective
anaconda-cfg.ks kickstart file before it is used.  (This would have to be even
earlier, before formatting the root filesystem.)

All of the installer dialogs that precede the "point of no return" should just
put their results into the kickstart file in the correct syntax.  The actual
install must be run based on the kickstart file only.  Once /root is available
and /root/install.log* have been created, then there is no reason to delay
further the writing of the kickstart file.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. do a non-kickstart install
Actual results:
/root/anaconda-cfg.ks is not written until near the end of the install, after
installing packages.

Expected results:
/root/anaconda-cfg.ks should be written as soon as possible, no later than the
same time that /root/install.log* are created.

Additional info:
Comment 1 Chris Lumens 2007-09-18 15:52:56 EDT
The anaconda-ks.cfg file will be created much earlier in the next build of
anaconda.  For now we'll have to pass on having the UI generate a kickstart file
that is later run, though that is certainly the direction we want to be moving in.

Note You need to log in before you can comment on or make changes to this bug.